/**
 * Jackpine Spatial Database Benchmark 
 *  Copyright (C) 2010 University of Toronto
 * 
 * Jackpine is based on Bristlecone Tool for Databases
 * Wherever applicable: Copyright (C) 2006-2007 Continuent Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of version 2 of the GNU General Public License as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Developer: S. Ray
 * Initial developer(s): Robert Hodges and Ralph Hannus.
 * Contributor(s): 
 */

package com.continuent.bristlecone.evaluator;

public class DataSource
{
    private String name;
    private String url;
    private String driver;
    private String password;
    private String user;
    private String timestampType;
    boolean        isAutoCommit;

    public DataSource(String name)
    {
        this.name = name;
    }

    /**
     * Returns the url value.
     * 
     * @return Returns the url.
     */
    public String getUrl()
    {
        return url;
    }

    /**
     * Sets the url value.
     * 
     * @param url The url to set.
     */
    public void setUrl(String url)
    {
        this.url = url;
    }

    /**
     * Returns the driver value.
     * 
     * @return Returns the driver.
     */
    public String getDriver()
    {
        return driver;
    }

    /**
     * Sets the driver value.
     * 
     * @param driver The driver to set.
     */
    public void setDriver(String driver)
    {
        this.driver = driver;
    }

    /**
     * Returns the password value.
     * 
     * @return Returns the password.
     */
    public String getPassword()
    {
        return password;
    }

    /**
     * Sets the password value.
     * 
     * @param password The password to set.
     */
    public void setPassword(String password)
    {
        this.password = password;
    }

    /**
     * Returns the user value.
     * 
     * @return Returns the user.
     */
    public String getUser()
    {
        return user;
    }

    /**
     * Sets the user value.
     * 
     * @param user The user to set.
     */
    public void setUser(String user)
    {
        this.user = user;
    }

    /**
     * Returns the timestampType value.
     * 
     * @return Returns the timestampType.
     */
    public String getTimestampType()
    {
        return timestampType;
    }

    /**
     * Sets the timestampType value.
     * 
     * @param timestampType The timestampType to set.
     */
    public void setTimestampType(String timestampType)
    {
        this.timestampType = timestampType;
    }

    /**
     * Returns the name value.
     * 
     * @return Returns the name.
     */
    public String getName()
    {
        return name;
    }

    /**
     * Sets the name value.
     * 
     * @param name The name to set.
     */
    public void setName(String name)
    {
        this.name = name;
    }

    /**
     * Returns the isAutoCommit value.
     * 
     * @return Returns the isAutoCommit.
     */
    public boolean isAutoCommit()
    {
        return isAutoCommit;
    }

    /**
     * Sets the isAutoCommit value.
     * 
     * @param isAutoCommit The isAutoCommit to set.
     */
    public void setAutoCommit(boolean isAutoCommit)
    {
        this.isAutoCommit = isAutoCommit;
    }
}
